using System;
using System.Collections.Generic;
using System.Text;
using CafeTerrace.Models.DataBase;

namespace CafeTerrace.Models.Api
{
    public class ProfileRoot
    {
        public List<Rate> Rates { get; set; }
        public List<OrderProfile> Orders { get; set; }
        public User User { get; set; }
        public List<UserBirthDate> BirthDates { get; set; }

        public int RatesCount
        {
            get
            {
                if (Rates != null)
                    return Rates.Count;
                return 0;
            }
        }
        public int OrderCount
        {
            get
            {
                if (Orders != null)
                    return Orders.Count;
                return 0;
            }
        }
    }
}
